/*

  CCustomIcon.h
  Superclass:	CIsleResFile
 
	Facilities to implement custom icons in folders and files.
 
  October 8, 1992  isl
  
*/

#define	_H_CCustomIcon								//	Include this file only once

#include	<CIsleResFile.h>						//	Superclass definitions
#include	<IconFamilies.h>						//	Icon suite definitions

#define		kFolderIcon		500						//	Resource ID of the icon for our folders
#define		kInitedOff		0xfeff				//	Make sure the Finder notices the changes
#define		kCustomIcon		1024					//	Test bit for a custom icon
#define		kIconInfo			"\pCustom icon"

/*=====================*/
/*===---------------===*/

class CCustomIcon : public CIsleResFile
Begin
private:
		Handle	itsIconSuite;								//	The icon suite
		
public:
					void	ICustomIcon							//	Initialize the object
							(	void											//	No arguments
							);

	virtual	void	FetchIconFamily					//	Load the icon family from the native resource file
							(	short					iconID			//	The resource ID of the icon family
							);
							
	virtual	void	PlaceIconFamily					//	Associate the target file with this icon family
							(	void											//	No arguments
							);
	virtual	void	ActivateCustomIcon			//	Does the file witha resource fork exist?
							(	void											//	No arguments
							);
							
	virtual void Dispose									//	Dispose of this object
							(	void											//	No arguments
							);
End;

/*===---------------===*/
/*=====================*/