/*

  CFolder.h
  Superclass:	CFile
 
	CFile plus directory manipulation.
 
  October 8, 1992  isl
  
*/

#define	_H_CFolder										//	Include this file only once

#include	<CIsleFile.h>								//	Superclass definitions

#include	<CCustomIcon.h>							//	For custom folder icons

#define		kFolderError				2365		//	CFolder specific errors
#define		kFolderFileConflict	1				//	Tried to create a folder, but a file had the name
#define		kBadSystem					2				//	Current System software cannot deal with custom icons
#define		kCustomIconFile			"\pIcon\r"

/*=====================*/
/*===---------------===*/

class CFolder : public CIsleFile
Begin
public:
	long	folderDirID;									//	The ID of the folder itself
	
	
public:
	void					IFolder								//	Initialize the object
							(	void
							);

	virtual	void	CreateNew							//	Create a folder at the current level, no user query
							(	OSType		creator,			//	The folder's creator
								OSType		type					//	The folder's type
							);
	virtual	void	CreateWithIcon				//	Create a folder with a special icon
							(	OSType		creator,			//	The file's creator
								OSType		type,					//	The file's type
								short			iconID				//	The resource ID of the icon
							);
	virtual	Boolean	ExistsOnDisk				//	Does the folder exist?
							(	void										//	No arguments
							);
	virtual	void	GetPath								//	Provide folder's path as a string of characters
							(	Str255		path,					//	The string describing the path
								Str255		delimiter			//	The string describing path delimiters
							);
End;

/*===---------------===*/
/*=====================*/